      ******************************************************************
      **                                                              **
      **                      IBM MQ for Windows                      **
      **                                                              **
      **  FILE NAME:      CMQCSPV                                     **
      **                                                              **
      **  DESCRIPTION:    MQCSP Structure -- Security Parameters      **
      **                                                              **
      ******************************************************************
      **  <copyright                                                  **
      **  notice="lm-source-program"                                  **
      **  pids="5724-H72,5655-R36,5724-L26"                           **
      **  years="1993,2020"                                           **
      **  crc="1616507131" >                                          **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-H72                                                    **
      **                                                              **
      **  (C) Copyright IBM Corp. 1993, 2020 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  </copyright>                                                **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQCSP,     **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************

      ******************************************************************
      ** <BEGIN_BUILDINFO>                                            **
      ** Generated on:  08/02/22 20:28                                **
      ** Build Level:   p920-005-220208                               **
      ** Build Type:    Production                                    **
      ** Pointer Size:  32 Bit                                        **
      ** Source File:                                                 **
      ** CMQCSPV                                                      **
      ** <END_BUILDINFO>                                              **
      ******************************************************************

      ** MQCSP structure
       10  MQCSP.
      ** Structure identifier
       15  MQCSP-STRUCID PIC X(4) VALUE 'CSP '.
      ** Structure version number
       15  MQCSP-VERSION PIC S9(9) BINARY VALUE 1.
      ** Type of authentication
       15  MQCSP-AUTHENTICATIONTYPE PIC S9(9) BINARY VALUE 0.
      ** Reserved
       15  MQCSP-RESERVED1 PIC X(4) VALUE LOW-VALUES.
      ** Address of user ID
       15  MQCSP-CSPUSERIDPTR POINTER VALUE NULL.
      ** Offset of user ID
       15  MQCSP-CSPUSERIDOFFSET PIC S9(9) BINARY VALUE 0.
      ** Length of user ID
       15  MQCSP-CSPUSERIDLENGTH PIC S9(9) BINARY VALUE 0.
      ** Reserved
       15  MQCSP-RESERVED2 PIC X(8) VALUE LOW-VALUES.
      ** Address of password
       15  MQCSP-CSPPASSWORDPTR POINTER VALUE NULL.
      ** Offset of password
       15  MQCSP-CSPPASSWORDOFFSET PIC S9(9) BINARY VALUE 0.
      ** Length of password
       15  MQCSP-CSPPASSWORDLENGTH PIC S9(9) BINARY VALUE 0.


      ******************************************************************
      **  End of CMQCSPV                                              **
      ******************************************************************
