      ******************************************************************
      **                                                              **
      **                      IBM MQ for Windows                      **
      **                                                              **
      **  FILE NAME:      CMQCBCL                                     **
      **                                                              **
      **  DESCRIPTION:    MQCBC Structure -- Callback Context         **
      **                                                              **
      ******************************************************************
      **  <copyright                                                  **
      **  notice="lm-source-program"                                  **
      **  pids="5724-H72,5655-R36,5724-L26"                           **
      **  years="1993,2020"                                           **
      **  crc="1616507131" >                                          **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-H72                                                    **
      **                                                              **
      **  (C) Copyright IBM Corp. 1993, 2020 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  </copyright>                                                **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQCBC,     **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************

      ******************************************************************
      ** <BEGIN_BUILDINFO>                                            **
      ** Generated on:  08/02/22 20:28                                **
      ** Build Level:   p920-005-220208                               **
      ** Build Type:    Production                                    **
      ** Pointer Size:  64 Bit                                        **
      ** Source File:                                                 **
      ** CMQCBCL                                                      **
      ** <END_BUILDINFO>                                              **
      ******************************************************************

      ** MQCBC structure
       10  MQCBC.
      ** Structure identifier
       15  MQCBC-STRUCID PIC X(4).
      ** Structure version number
       15  MQCBC-VERSION PIC S9(9) BINARY.
      ** Why Function was called
       15  MQCBC-CALLTYPE PIC S9(9) BINARY.
      ** Object Handle
       15  MQCBC-HOBJ PIC S9(9) BINARY.
      ** Callback data passed to the function
       15  MQCBC-CALLBACKAREA POINTER.
      ** MQCTL Data area passed to the function
       15  MQCBC-CONNECTIONAREA POINTER.
      ** Completion Code
       15  MQCBC-COMPCODE PIC S9(9) BINARY.
      ** Reason Code
       15  MQCBC-REASON PIC S9(9) BINARY.
      ** Consumer State
       15  MQCBC-STATE PIC S9(9) BINARY.
      ** Message Data Length
       15  MQCBC-DATALENGTH PIC S9(9) BINARY.
      ** Buffer Length
       15  MQCBC-BUFFERLENGTH PIC S9(9) BINARY.
      ** Flags containing information about this consumer
       15  MQCBC-FLAGS PIC S9(9) BINARY.
      ** Ver:1 **
      ** Number of milliseconds before reconnect attempt
       15  MQCBC-RECONNECTDELAY PIC S9(9) BINARY.
      ** Ver:2 **
      ** Add padding to ensure that the structure ends on the correct
      ** boundary
       15  FILLER  PIC S9(9) BINARY VALUE 0.


      ******************************************************************
      **  End of CMQCBCL                                              **
      ******************************************************************
