      ******************************************************************
      **                                                              **
      **                      IBM MQ for Windows                      **
      **                                                              **
      **  FILE NAME:      CMQSROV                                     **
      **                                                              **
      **  DESCRIPTION:    MQSRO Structure -- Subscription Request     **
      **                  Options                                     **
      **                                                              **
      ******************************************************************
      **  <copyright                                                  **
      **  notice="lm-source-program"                                  **
      **  pids="5724-H72,5655-R36,5724-L26"                           **
      **  years="1993,2020"                                           **
      **  crc="1616507131" >                                          **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-H72                                                    **
      **                                                              **
      **  (C) Copyright IBM Corp. 1993, 2020 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  </copyright>                                                **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQSRO,     **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************

      ******************************************************************
      ** <BEGIN_BUILDINFO>                                            **
      ** Generated on:  08/02/22 20:28                                **
      ** Build Level:   p920-005-220208                               **
      ** Build Type:    Production                                    **
      ** Pointer Size:  32 Bit                                        **
      ** Source File:                                                 **
      ** CMQSROV                                                      **
      ** <END_BUILDINFO>                                              **
      ******************************************************************

      ** MQSRO structure
       10  MQSRO.
      ** Structure identifier
       15  MQSRO-STRUCID PIC X(4) VALUE 'SRO '.
      ** Structure version number
       15  MQSRO-VERSION PIC S9(9) BINARY VALUE 1.
      ** Options that control the action of MQSUBRQ
       15  MQSRO-OPTIONS PIC S9(9) BINARY VALUE 0.
      ** Number of publications sent
       15  MQSRO-NUMPUBS PIC S9(9) BINARY VALUE 0.


      ******************************************************************
      **  End of CMQSROV                                              **
      ******************************************************************
